Skip to main content

Get Vehicle Status

Description

Retrieve the current sensor-based vehicle status, including door and trunk open status, tire pressure, warning indicators, and climate control.

Endpoint

GET https://api.pleos.ai/v1/vehicles/{vin}/status

Request

curl
curl -X GET "https://api.pleos.ai/v1/vehicles/{vin}/status" \
-H "Authorization: Bearer <your_access_token>" \
-H "Brand: hyundai"

Header Params

ParameterTypeDescriptionRequired
AuthorizationstringAccess tokenRequired
BrandstringVehicle brand (hyundai/kia/genesis)Required

Path Params

ParameterTypeDescriptionRequired
vinstringVINRequired

Response

Success

200
{
"data": {
"doors": [
{
"left": "locked",
"right": "locked"
},
{
"left": "locked",
"right": "locked"
}
],
"hood": "closed",
"trunk": "closed",
"sunroof": "closed",
"tire": [
{
"left": 40,
"right": 40,
"unit": "psi"
},
{
"left": 40,
"right": 40,
"unit": "psi"
}
],
"warnings": ["washFluid"],
"climateControl": {
"mode": "auto",
"status": "on",
"speed": -1,
"temperature": {
"value": 17,
"unit": "C"
}
},
"windshield": {
"defrost": "off"
},
"steeringWheelHeat": "off",
"seats": [
{
"left": {
"heat": "off",
"ventilation": "high"
},
"right": {
"heat": "off",
"ventilation": "off"
}
},
{
"left": {
"heat": "off",
"ventilation": "off"
},
"right": {
"heat": "off",
"ventilation": "off"
}
}
],
"outsideTemperature": {
"value": 30,
"unit": "C"
},
"timestamp": "2025-09-01T09:10:00Z"
},
"meta": {
"code": 200,
"message": "Success",
"success": "true",
"timestamp": "2025-09-01T11:00:00Z",
"requestId": "835bdbd4-1105-4a8c-b438-a1b2c3d4f5g6"
}
}
data fieldTypeDescription
doorsarrayDoor open/closed status ([0]: 1st row, [1]: 2nd row)
└─ leftstringStatus of the doors on the left side (open, closed, locked, invalid)
└─ rightstringStatus of the doors on the right side (open, closed, locked, invalid)
hoodstringStatus of the hood (open, closed, invalid)
trunkstringStatus of the trunk (open, closed, invalid)
sunroofstringStatus of the sunroof (open, closed, invalid)
tirearrayPressure of the tires ([0]: front, [1]: rear)
└─ leftnumberPressure of the left tires (0~254: valid, 255: invalid)
└─ rightnumberPressure of the right tires (0~254: valid, 255: invalid)
└─ unitstringUnit of tire pressure (psi, kpa, bar)
warningsarrayWarning light statuses
- lowFuel: Fuel low
- smartKeyBattery: Smart key battery low
- washFluid: Washer fluid low
- brakeOil: Brake oil warning light
- engineOil: Engine oil warning light
- tirePressureFrontLeft: Insufficient tire pressure (front left)
- tirePressureFrontRight: Insufficient tire pressure (front right)
- tirePressureRearLeft: Insufficient tire pressure (rear left)
- tirePressureRearRight: Insufficient tire pressure (rear right)
- tirePressureLow: Insufficient tire pressure (in case the tire-wise monitoring is not supported)
- frontHeadLamp: Headlamp failure status
- frontLeftTurnSignal: Turn signal lamp wire (front left)
- frontRightTurnSignal: Turn signal lamp wire (front right)
- rearLeftStopLamp: Stop lamp (Bulb type, left)
- rearRightStopLamp: Stop lamp (Bulb type, right)
- rearLeftTurnSignal: Turn signal lamp wire (rear left)
- rearRightTurnSignal: Turn signal lamp wire (rear right)
climateControlobjectClimate control system information
└─ modestringClimate control mode (manual, auto, off, error)
└─ statusstringClimate control status (on, off)
└─ speedintegerBlower speed (-1: auto, 0: off, 1~8: Level)
└─ temperatureobjectSet temperature Information
└────── valuenumberSet temperature (range: -100.0~100.0)
└────── unitstringTemperature unit (C: Celsius, F: Fahrenheit)
windshieldobjectWindshield information
└─ defroststringWindshield defrost status (on, off)
steeringWheelHeatstringStatus of the steering wheel heater (on, off)
seatsarraySeat status ([0]: 1st row, [1]: 2nd row)
└─ leftobjectStatus of left seats
└────── heatstringStatus of left seats heater (off, low, middle, high)
└────── ventilationstringStatus of left seats ventilation (off, low, middle, high)
└─ rightobjectStatus of right seats
└────── heatstringStatus of right seats heater (off, low, middle, high)
└────── ventilationstringStatus of right seats ventilation (off, low, middle, high)
outsideTemperatureobjectAmbient temperature Information
└─ valuenumberAmbient temperature (range: -100.0~100.0)
└─ unitstringAmbient temperature unit (C: Celsius, F: Fahrenheit)
timestampstringTimestamp when data was transmitted from the vehicle (based on UTC+0) yyyy-MM-dd'T'HH:mm:ss'Z'

Calculation of values in units of tire pressure

According to the 'tire[index].unit' setting, pressure values such as 'tire[index].left' and 'tire[index].right' must be converted before use.

Tire pressure unitTire pressure valuePhysical value conversion logicActual Physical Values
psi52No processing required52 psi
kpa72value * 5360 kpa
bar36value / 103.6 bar

Failure

4002
{
"error": {
"code": "4002",
"message": "Invalid request parameters",
"details": [],
"timestamp": "2025-09-01T12:00:00Z",
"requestId": "835bdbd4-1105-4a8c-b438-a1b2c3d4f5g6"
}
}
[Error Code]

For a detailed explanation of error code on failure, refer to Error Code.